org.apache.poi.hwmf.record

## Class HwmfPalette.WmfResizePalette

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPalette.WmfResizePalette

- All Implemented Interfaces:
    GenericRecord, HwmfObjectTableEntry, HwmfRecord
  Direct Known Subclasses:
    HemfPalette.EmfResizePalette
  Enclosing class:
    HwmfPalette

      public static class HwmfPalette.WmfResizePalette
      extends java.lang.Object
      implements HwmfRecord, HwmfObjectTableEntry

  The META_RESIZEPALETTE record redefines the size of the logical palette that is defined in the playback device context.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `numberOfEntries` A 16-bit unsigned integer that defines the number of entries in the logical palette.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfResizePalette()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObject(HwmfGraphics ctx)`
    `void` | `draw(HwmfGraphics ctx)` Apply the record settings to the graphics context
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getNumberOfEntries()`
    `HwmfRecordType` | `getWmfRecordType()`
    `int` | `init(LittleEndianInputStream leis, long recordSize, int recordFunction)` Init record from stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Field Detail

    - #### numberOfEntries

          protected int numberOfEntries

      A 16-bit unsigned integer that defines the number of entries in the logical palette.

  - ### Constructor Detail

    - #### WmfResizePalette

          public WmfResizePalette()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

      Specified by:
        `getWmfRecordType` in interface `HwmfRecord`

    - #### init

          public int init(LittleEndianInputStream leis,
                          long recordSize,
                          int recordFunction)
                   throws java.io.IOException

      Description copied from interface: `HwmfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HwmfRecord`
      Parameters:
        `leis` - the little endian input stream
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException`

    - #### draw

          public void draw(HwmfGraphics ctx)

      Description copied from interface: `HwmfRecord`
      Apply the record settings to the graphics context
      Specified by:
        `draw` in interface `HwmfRecord`
      Parameters:
        `ctx` - the graphics context to modify

    - #### applyObject

          public void applyObject(HwmfGraphics ctx)

      Specified by:
        `applyObject` in interface `HwmfObjectTableEntry`

    - #### getNumberOfEntries

          public int getNumberOfEntries()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.